TypeHierarchy.TypeObject
Keywords: uk.ac.ic.doc.automed.reps.TypeHierarchy.TypeObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class TypeHierarchy.TypeObject

    java.lang.Object
      uk.ac.ic.doc.automed.reps.TypeHierarchy.TypeObject

All Implemented Interfaces:
  PersistentObject

Enclosing class:
  TypeHierarchy

    public class TypeHierarchy.TypeObject

extends java.lang.Object
implements PersistentObject

The type object class This class stored information about type objects in a type hierarchy Using the notation in the technical reports on types: hdmEquiv is =, parentName is <

Constructor Summary
`TypeHierarchy.TypeObject(int tid, int modelID, java.lang.String name, int hdmEquiv, int parentTid, java.lang.String parentName, java.lang.String baseName)` Construcutor for a new TypeObject

Method Summary
`java.lang.String` | `getBaseTypeName()` Get the name of the base type for this type object
`int` | `getHDMEquiv()` Get the type id of the HDM equivalent of this type
`PersistentKey` | `getKey()` Implements the `PersistentObject` interface
`int` | `getMID()` Get the id of the model the type comes from
`java.lang.String` | `getName()` Get the name of the type
`java.lang.String` | `getParentName()` Get the name of the parent type
`int` | `getParentTid()` Get the type id of the parent of this type
`java.util.Map` | `getPersistentAttributes()` Implements the `PersistentObject` interface
`int` | `getTypeId()` Get the type of this object
`void` | `setHDMEquiv(TypeHierarchy cth, int hdmEquiv)` Set the type id of the HDM equivalent of this type
`void` | `setTypeId(int tid)` Set the type id of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeHierarchy.TypeObject

    public TypeHierarchy.TypeObject(int tid,
                                    int modelID,
                                    java.lang.String name,
                                    int hdmEquiv,
                                    int parentTid,
                                    java.lang.String parentName,
                                    java.lang.String baseName)

  Construcutor for a new TypeObject

Method Detail

### getTypeId

    public int getTypeId()

  Get the type of this object

  Returns:
    The id of the type

### setTypeId

    public void setTypeId(int tid)

  Set the type id of this object

### getName

    public java.lang.String getName()
                             throws NotFoundException

  Get the name of the type

  Returns:
    The name of the type
  Throws:
    `NotFoundException`

### getParentName

    public java.lang.String getParentName()
                                   throws NotFoundException

  Get the name of the parent type

  Returns:
    The name of the parent type
  Throws:
    `NotFoundException`

### getMID

    public int getMID()
               throws NotFoundException

  Get the id of the model the type comes from

  Returns:
    The model id
  Throws:
    `NotFoundException`

### getParentTid

    public int getParentTid()
                     throws NotFoundException

  Get the type id of the parent of this type

  Returns:
    The parent type id
  Throws:
    `NotFoundException`

### setHDMEquiv

    public void setHDMEquiv(TypeHierarchy cth,
                            int hdmEquiv)
                     throws NotFoundException

  Set the type id of the HDM equivalent of this type

  Parameters:
    `The` - common type hierarchy
  Throws:
    `NotFoundException`

### getHDMEquiv

    public int getHDMEquiv()
                    throws NotFoundException

  Get the type id of the HDM equivalent of this type

  Returns:
    The id of the HDM equivalent type
  Throws:
    `NotFoundException`

### getBaseTypeName

    public java.lang.String getBaseTypeName()
                                     throws NotFoundException

  Get the name of the base type for this type object

  Returns:
    The name of the base type
  Throws:
    `NotFoundException`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Implements the `PersistentObject` interface

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`
  See Also:
    `PersistentObject.getPersistentAttributes()`

### getKey

    public PersistentKey getKey()

  Implements the `PersistentObject` interface

  Specified by:
    `getKey` in interface `PersistentObject`
  See Also:
    `uk.ac.ic.doc.automed.wrappersPersistentObject#getKey()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD